## extra material

=== Makefile ===
# Define the compiler to be used

CC     := g++

# This is the program name

PROG    = example

# Define an (arbitrary) library to be used (in addition to standard libraries)

LIBRARY = Mylib

# These are the sources that will end up in the library. In this case we
# choose all files ending in .cc with the exception of the main program

SOURCES = $(filter-out $(PROG).cc,$(wildcard *.cc))

# This specifies the corresponding object files. Look at the documentation
# of the 'patsubst' function to see how this works.

OBJECTS = $(SOURCES:.cc=.o)

# We also need a list of header files (see later). Here, we'll again choose
# to consider all files ending in .hh as relevant header files.

HEADERS = $(wildcard *.hh)

# This specifies the flags to be passed to the linker

LDFLAGS = -L`pwd` -l$(LIBRARY)

# The first 'target' specified becomes the default target, i.e.,
# the one if you type 'make' without specifying any target on the
# command line.
#
# $@ and $< are 'automatic' variables. $@ indicates the target of the
# rule (in this case, $(PROG)); $< indicates the first dependency (here, $(PROG).cc)

$(PROG): $(PROG).cc lib$(LIBRARY).a
	$(CC) -o $@ $< $(LDFLAGS)

# This target specifies how to create the library starting from the (compiled) sources.
# $^ is again an automatic variable indicating 'all dependencies', i.e.,
# each time all sources will be re-added to the library

lib$(LIBRARY).a: $(OBJECTS)
	ar r $@ $^

# Finally, we need to specify how the object files are obtained from the sources.
# We do this using an implicit rule.
# The dependence on the header files is to ensure consistency: unless it is known
# for each source what headers it includes, we recompile everything if any header
# file changes. This is inefficient... but at least, we still save time in case
# only a source file changes.

%.o: %.cc $(HEADERS)
	$(CC) -c $@ $<

## extra 0.0.1

=== debian/changelog ===
extra (0.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 16 Feb 2017 20:14:22 +0100

=== debian/control ===
Source: extra
Section: unknown
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>=9), autotools-dev, autoconf, automake, build-essential, efl (>=1.18), m4, perl
Standards-Version: 3.9.6
Homepage: https://www.enlightenment.org

Package: extra
Architecture: any
Depends: ${misc:Depends}, libc6 (>=2.21), efl (>=1.18), perl
Description: Extra
 Extra is a app which allows you to install elementary themes on your computer
 .
 The app is based on elementary and uses efl libraries to download the theme. It does so by fetching themes from extra.enlightenment.org.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with autotools_dev --parallel


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
